#ifndef CMWMANUALRESETTRANS_H
#define CMWMANUALRESETTRANS_H

#include "cmwidget.h"

namespace Ui {
class CMWManualResetTrans;
}

class CMWManualResetTrans : public CMWidget
{
    Q_OBJECT

public:
    explicit CMWManualResetTrans(QWidget *parent = 0);
    ~CMWManualResetTrans();


	virtual void MTimeFresh();

	private slots:
    void on_pushButton_AllReset_clicked();

    void on_pushButton_GrabReset_clicked();

    void on_pushButton_ArrangeReset_clicked();

    void on_pushButton_TransferReset_clicked();

    void on_pushButton_CoatTableReset_clicked();

    void on_pushButton_LoadReset_clicked();

    void on_pushButton_WorkTableReset_clicked();

    void on_pushButton_UnloadReset_clicked();

    void on_pushButton_CleanTableReset_clicked();

	void on_pushButton_CheckBoxReset_clicked();
	
	void on_btnLoadRecover_clicked();

    void on_btnRailFarReset_clicked();

    void on_btnResetRes_clicked();

private:
    Ui::CMWManualResetTrans *ui;
	void ResetMsg(CASSSLOT** ppSlot, int iSMID, bool bAsk=true);

    // CMWidget interface
public:
    void MFresh();
};

#endif // CMWMANUALRESETTRANS_H
